# Order cage escort ![](https://docs.equinix.com/assets/images/OrderCageEscort-03d9712dd9f2ca9087dc6e55dfd1714d.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Get a Work Visit order number - Send a `GET` request to the [`/colocations/v2/orders/{orderId}`](https://docs.equinix.com/api-catalog/ordersv2/orders/get%20order%20details.md) endpoint to retrieve an order number for a work visit that has already been scheduled. To schedule a new work visit, send a `POST` request to the [`colocations/v2/orders/workVisits`](https://docs.equinix.com/api-catalog/workvisitsv2/work-visit/schedule%20work%20visit%20services.md) endpoint. You must have `IBX Access Services` permission to schedule a work visit. You may skip this step if you already have the work visit order number. 3. To get Smart Hands details, the user must have `Smart Hands` ordering permissions. 4. Get Smart Hands Types - Send a `GET` request to the [`/v1/orders/smarthands/types`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/smarthandtypes.md) endpoint to get all Smart Hands order types. You may skip this step if you already know the Smart Hands order type. 5. Get Location Information - Send a `GET` request to the [`/v1/orders/smarthands/locations`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/getlocation.md) endpoint to retrieve available IBX locations that you have access to. You may skip this step if you already know the location information. ## Order a Cage Escort - minimal example[​](#order-a-cage-escort---minimal-example "Direct link to Order a Cage Escort - minimal example") To order an IBX security escort for a visitor to access your cage, send a `POST` request to the [`/smarthands/cageEscort`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands.md) endpoint. Sample cURL Request: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/cageEscort" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [         {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"         }     ]     },     "serviceDetails": {     "workVisitOrderNumber": "1-19864326570532",     "openCabinetForVisitor": true,     "supervisionReqForVisitor": true,     "durationVisit": "4 Hours",     "scopeOfWork": "If staff from customer company is unable to attend, please continue to accompany the visitor."     },     "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"     },     "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "userName": "johndoe",         "workPhonePrefToCall": "ANYTIME"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     }     ] }' ``` Sample Response: ``` {     "OrderNumber": "1-19876653568916" } ``` The response indicates the order was successful and returns the order number. ## Order a Cage Escort - extended example[​](#order-a-cage-escort---extended-example "Direct link to Order a Cage Escort - extended example") Sample cURL Request: To order an IBX security escort for a visitor to access your cage, send a `POST` request to the [`/smarthands/cageEscort`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands.md) endpoint. Provide the service details in the body of the request. Use the `attachments` object to include additional details for a technician. > **Note** > > Before creating an order with attachment, call the [`Attachments File`](https://docs.equinix.com/api-catalog/attachmentsv1/attachments/createattachment.md) endpoint. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/cageEscort" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [         {             "cage": "AM1:0J:00JD11",             "cabinets": [                 "AM1:0J:00JD11:0001"             ],             "accountNumber": "126854"         }       ]     },     "serviceDetails": {         "workVisitOrderNumber": "1-19864326570532",         "openCabinetForVisitor": true,         "supervisionReqForVisitor": true,         "durationVisit": "4 Hours",         "scopeOfWork": "If staff from customer company is unable to attend, please continue to accompany the visitor.",         "needSupportFromASubmarineCableStationEngineer": true     },     "attachments": [      {         "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",         "name": "WorkVisitInstructions.docx"      }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },     "customerReferenceNumber": "EQX-PO2019-08-001",     "purchaseOrder": {         "purchaseOrderType": "EXEMPTED",         "attachment": {             "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",             "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "name": "Jane Smith",         "email": "janesmith@corporation.com",         "workPhoneCountryCode": "+44",         "workPhone": "0148211111",         "workPhonePrefToCall": "MY_BUSINESS_HOURS",         "workPhoneTimeZone": "Europe/London",         "mobilePhoneCountryCode": "+44",         "mobilePhone": "0123456789",         "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",         "mobilePhoneTimeZone": "Europe/London"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     },     {         "contactType": "NOTIFICATION",         "userName": "jillsnow"     }   ] }' ``` For a complete list of body parameters and descriptions, see [the API Reference](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands.md).